ClarisWksDocumentInternal Namespace Reference

Internal: the structures of a ClarisWksDocument. More...

## Classes
struct | State
| Internal: the state of a ClarisWksDocument. More...
class | SubDocument
| Internal: the subdocument of a ClarisWksDocument. More...

## Variables
constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when walking the zone graph

## Detailed Description

Internal: the structures of a ClarisWksDocument.

## Variable Documentation

## ◆ MAX_RECORD_NESTING

int ClarisWksDocumentInternal::MAX_RECORD_NESTING = 1 << 10
| constexpr

the maximum recursion depth when walking the zone graph

Referenced by ClarisWksDocument::exploreZonesGraphRec().